-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[DM_AGGIORNA_CLIENTE]
	@Rete char(1),
	@CodiceFiscale varchar(16),
	@Nome varchar(50),
	@Cognome varchar(50),
	@DataNascita datetime=NULL,
	@Cittadinanza varchar(150),
	@Indirizzo varchar(150),
	@Localita varchar(100),
	@Provincia varchar(2),
	@CAP varchar(5),
	@Nazione varchar(50),
	@DataInizio datetime=NULL,
	@Sesso varchar(1)
AS
BEGIN
declare @eta smallint
set @eta = CASE 
		      when @DataNascita IS NULL then null
		 ELSE DATEDIFF(YY, @DataNascita, GETDATE()) 
		 END
	UPDATE C6MART.ANAG_CLIENTI
	SET
		NOME = @Nome,
		COGNOME = @Cognome,
		DATA_NASCITA = @DataNascita,
		ETA =@eta,		
		CITTADINANZA = @Cittadinanza,
		INDIRIZZO = @Indirizzo,
		LOCALITA = @Localita,
		PROVINCIA = @Provincia,
		CAP = @CAP,
		NAZIONE = @Nazione,
		DATA_INIZIO = @DataInizio,
		SESSO = @Sesso
	WHERE
		RETE = @Rete AND COD_FISCALE = @CodiceFiscale
END